/*  menu.h																			

	This contains all the menu code.
																					
	Michael Bishop - August 21 1996													
	Nick Thompson
	(c)1994-96 Apple computer Inc., All Rights Reserved								

*/

#ifndef _MENU_H_
#define _MENU_H_

#include <Menus.h>

enum {
	kMBARResID = 128
} ;	

enum {
	mApple = 128,
	mFile,
	mEdit,
	mResolution
} ;

enum {
	iAbout = 1
} ;

enum {
	iNew = 1,
	iOpen,
	iClose,
	iUnused1,
	iSave,
	iSaveAs,
	iUnused2,
	iQuit
} ;

enum {
	iUndo,
	iEditUnused1,
	iCut = 3,
	iCopy,
	iPaste,
	iEditUnused2,
	iClear
} ;

enum {
	i64 = 1,
	i128,
	i256
};


/* -------------------------------------------------------------------------------------------
** 
*/

void Menu_Adjust( void ) ;
void Menu_HandleCommand(long menuResult) ;

#endif