#include	"QD3D.h"
#include	"QD3DGroup.h"
#include	"QD3DDrawContext.h"
#include	"QD3DTransform.h"
#include	"QD3DCamera.h"
#include	"QD3DView.h"
#include	"QD3DLight.h"
#include	"QD3DRenderer.h"
#include	"QD3DShader.h"
#include	"QD3DStyle.h"
#include	"QD3DGeometry.h"
#include	"QD3DMath.h"


// prototypes of QD3DFunctions called from the application

OSErr	InitializeApplication(void);
void	Cleanup(void);
Boolean PreflightNew(void); // return TRUE if "New" will work
void 	DoNew(void);
void 	DoOpen(void);
void 	DoClose(void); // FrontWindow() only
void 	DoSave(void);
void 	DoSaveAs(void);
void 	DoPrint(void);
void 	DoClickInContent(EventRecord *evt, WindowPtr theWindow);
void 	ActivateWindow(WindowPtr newFrontWindow, Boolean active);

void	DoAppSpecificMenu(long menuNumber, long itemNumber);
void 	UpdateAppMenus(void);

void	DrawAppSpecificContent(WindowPtr theWindow);
