// File SkinnyMain.h

#ifndef _SKINNYMAIN_
#define _SKINNYMAIN_


// Menu resource IDs
enum { 	mApple = 128, 
		mFile, 
		mEdit, 
		mGeometry, 
		mControl,
		mStyle,
		mDebug,
		mCameras = 200, // hierarchical
		mLight,
		mRenderer,
		mBackfacing,
		mInterpolation,
		mFillStyle
};

// Menu item numbers
enum {	iAbout = 1 };

// File menu
enum {	iNew = 1, 
		iOpen, iClose, iSave, iSaveAs, 
		iPageSetup = 7, 
		iPrint, 
		iQuit = 10
};

// Geometry menu items
enum {	iBox = 1, 
		iEllipsoid, 
		iCylinder, 
		iCone, 
		iTorus };

// Control menu items
enum {	iData =1, 
		iCamera, 
		iLight, 
		iRenderer };

// Style menu items
enum {	iBackfacing = 1,
		iInterpol,
		iFillStyle };
		

// iCamera hierarchical items
enum {	iOrthoGraphic = 1,
		iViewPlane,
		iAspectRatio };
		
// iLight hierarchical items
enum {	iAmbient = 1,
		iDirectional,
		iPoint,
		iSpot };

// iRenderer hierarchical items
enum {	iWireFrame = 1,
		iZBuffer };
		
// iBackfacing hierarchical items
enum {	iBoth = 1,
		iRemove,
		iFlip };
		
// iInterpolation hierarchical items
enum {	iNone = 1,
		iVertex,
		iPixel };
		
// iFillStyle hierarchical items
enum {	iFilled = 1,
		iEdges,
		iPoints };
		
// Debug menu items
enum {	iFreeMem = 1, iMaxMem };

void ErrMsg(Str255 msg);
void ErrMsgCode(Str255 msg, short code);
void pcat(StringPtr d, StringPtr s);

#endif