// My3dSupport.c - QuickDraw 3d routines - interface
//
// This file contains
//
// Created 27th Dec 1994, Nick Thompson, DEVSUPPORT
//
// Modification History:
//
//	12/27/94		nick		initial version

#ifndef _BOX3DSUPPORT_H_
#define _BOX3DSUPPORT_H_

// Macintosh System Stuff
#include <Types.h>
#include <Windows.h>

// QuickDraw 3D stuff
#include "QD3D.h"
#include "QD3DErrors.h"
#include "QD3DView.h"

//---------------------------------------------------------------------------------------

OSErr MyQD3DInitialize( void ) ;
OSErr MyQD3DExit() ;

TQ3ViewObject 		MyNewView(WindowPtr theWindow) ;
TQ3DrawContextObject MyNewDrawContext( WindowPtr theWindow) ;
TQ3CameraObject 		MyNewCamera(WindowPtr theWindow) ;
TQ3GroupObject		MyNewLights(void) ;
TQ3GroupObject 		MyNewModel(void) ;

TQ3Point3D AdjustCamera(
	TQ3ViewObject		theView,
	TQ3GroupObject		mainGroup,
	short				winWidth,
	short				winHeight) ;


#endif
