// smallshell.h - public interface for the shell
//
// Modification History:
//
//	01/01/95	nick	created this file from other stuff
//	04/14/95	rdd 	added menu support

#ifndef _SMALLSHELL_H_
#define _SMALLSHELL_H_
	
//-------------------------------------------------------------------------------------------
//
enum {
	kMenuBarRsrc = 128
} ;

enum {
	mApple = 128,
	mFile,
	mEdit,
	mGeometry,
	mTexture
} ;

enum {	// mApple
	iAbout = 1
} ;

enum {	// mFile
	iNew = 1,
	iOpen,
	iClose,
	iFileSeparator,
	iQuit
} ;

enum {	// mEdit
	iUndo = 1,
	iEditSeparator,
	iCut,
	iCopy,
	iPaste,
	iClear
} ;

enum {	// mGeometry
	iFlat = 1,
	iTorus,
	iWaveyTorus,
	iSplash,
	iSphere,
	iCone,
	iPipe,
	iSteps,
	iSpring
} ;

enum {	// mTexture
	iNoTexture = 1,
	iGeometryTexture,
	iFaceTexture,
	iTextureSeparator,
	iPictureFirst
} ;


enum {
	kWindowRsrcID = 128,
	kDialogRsrcID = 128,
	kFirstPICTRsrcID = 256
} ;

//-------------------------------------------------------------------------------------------
// globals
extern Boolean gQuitFlag ;


// function prototypes

short 		HiWrd(long aLong) ;
short 		LoWrd(long aLong) ;


#endif