/******************************************************************************
 **																			 **
 ** 	Module:		SetupPickPoint.h										 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 															 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1992-1995 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
#ifndef SetupPickPoint_h
#define SetupPickPoint_h

#include "QD3D.h"

#include <Quickdraw.h>


#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

#if defined(__cplusplus) && !defined(__ZTC__)

void SetupPickPoint(
	WindowPtr		qdWindow,
	TQ3Point2D		*point2D, 
	TQ3CameraObject 	camera, 
	EtPickPoint		*screenPoint);

#else

void SetupPickPoint(
	WindowPtr		qdWindow,
	TQ3Point2D		*point2D, 
	TQ3CameraObject 	camera, 
/* SKANK  */
	TQ3Point2D		*screenPoint);

#endif

#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif  /*  SetupPickPoint_h  */