/*
 * WWWAnchorIO_Lib.h
 */
#include "QD3D.h"
#include "QD3DPick.h"

#ifdef __cplusplus
extern "C" {
#endif  /* __cplusplus */

TQ3Status WWWAnchor_Register(
	void);

TQ3Status WWWAnchor_UnRegister(
	void);

#define kElementTypeWWWAnchor	((TQ3ElementType) Q3_OBJECT_TYPE('w','w','w','a'))
#define kElementNameWWWAnchor	"WWWAnchor"

typedef struct WWWAnchorData {
	char	*url;
} WWWAnchorData;

/* These return kQ3True if found, kQ3False if not */

TQ3Boolean WWWAnchor_GetFromObject(
	TQ3Object			object,
	WWWAnchorData		*data);

TQ3Boolean WWWAnchor_GetFromHitData(
	const TQ3HitData	*hitData,
	WWWAnchorData		*data);

/* If the above return kQ3True, call this when you're done with the data */
 	
void WWWAnchor_Empty(
	WWWAnchorData		*data);

#ifdef __cplusplus
}
#endif	/* __cplusplus */

