/*  PickOne_documentStructure.h																			

	This contains all the document-specific code.
																					
	Michael Bishop - August 21 1996													
	(c)1994-96 Apple Computer Inc., All Rights Reserved								

*/

#ifndef _BP_DOCUMENTSTRUCTURE_H_
#define _BP_DOCUMENTSTRUCTURE_H_

#include	<QuickDraw.h>

#include	"QD3D.h"


struct _documentRecord {

	WindowPtr		fWindow ;				/* the window associated with this document */
	
	TQ3ViewObject	fView ;					/*  the view for the scene */
	TQ3GroupObject	fModel ;				/*  object in the scene being modelled */
	TQ3StyleObject	fInterpolation ;		/*  interpolation style used when rendering */
	TQ3StyleObject	fBackFacing ;			/*  whether to draw shapes that face away from the camera */
	TQ3StyleObject	fFillStyle ;			/*  whether drawn as solid filled object or decomposed to components */
	TQ3Matrix4x4	fRotation;				/*  the transform for the model */

} ;


#endif
