// PickMeshShapePart.h
//
// Modification History:
//
//	11/09/95	robert	created


#ifndef _PICKMESHSHAPEPART_H_
#define _PICKMESHSHAPEPART_H_

#include "PickMeshShapePartShell.h"


/*
 *	TQ3HitData validMask Macros
 */

#if defined(QD3D_OBSOLETE) && QD3D_OBSOLETE
	#define	HitData_Has_PickID(hitData)				((hitData.validMask & kQ3PickDetailMaskPickID)!=0)
	#define	HitData_Has_Path(hitData) 				((hitData.validMask & kQ3PickDetailMaskPath)!=0  && (hitData.path.depth != 0) && (hitData.path.positions != NULL))
	#define	HitData_Has_Object(hitData) 			(((hitData.validMask & kQ3PickDetailMaskObject)!=0)  && (hitData.object != NULL))
	#define	HitData_Has_LocalToWorldMatrix(hitData)	((hitData.validMask & kQ3PickDetailMaskLocalToWorldMatrix)!=0)
	#define	HitData_Has_XYZ(hitData) 				((hitData.validMask & kQ3PickDetailMaskXYZ)!=0)
	#define	HitData_Has_Distance(hitData) 			((hitData.validMask & kQ3PickDetailMaskDistance)!=0)
	#define	HitData_Has_Normal(hitData) 			((hitData.validMask & kQ3PickDetailMaskNormal)!=0)
	#define	HitData_Has_ShapePart(hitData) 			(((hitData.validMask & kQ3PickDetailMaskShapePart)!=0)  && (hitData.shapePart != NULL))
#endif	/* QD3D_OBSOLETE */

TQ3Status InitPicking(
	void);

TQ3Status ExitPicking(
	void);

TQ3Status DoPicking(
	Point				*pWhere,
	DocumentPtr			theDocument);

#endif