/******************************************************************************
 **																			 **
 ** 	Module:		dpgIO.h												 	 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1995-1996 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/

#ifndef dpgIO_h
#define dpgIO_h

#if PRAGMA_ONCE
	#pragma once
#endif

#include "QD3D.h"
#include "QD3DIO.h"
#include "QD3DGroup.h"
#include "QD3DExtension.h"

#ifdef __cplusplus
extern "C" {
#endif /*  __cplusplus  */

TQ3GroupObject exDistanceProxyGroup_Read(
	TQ3FileObject		file);
	
TQ3Status exDistanceProxyGroup_Traverse(
	TQ3GroupObject		group,
	void				*unused,
	TQ3ViewObject		view);
	
TQ3Status exDistanceProxyGroup_Write(
	TQ3GroupObject		group,
	TQ3FileObject		file);

#ifdef __cplusplus
}
#endif /*  __cplusplus  */

#endif