/******************************************************************************
 **																			 **
 ** 	Module:		dpgMemory.h												 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1995-1996 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/

#ifndef dpgMemory_h
#define dpgMemory_h

#if PRAGMA_ONCE
	#pragma once
#endif

#ifdef __cplusplus
extern "C" {
#endif /*  __cplusplus  */

void *dpgAlloc(unsigned long size);
void dpgFree(void *ptr);
void *dpgRealloc(void *ptr, unsigned long size);
void dpgCopy(const void *src, void *dst, unsigned long cnt);

#ifdef __cplusplus
}
#endif /*  __cplusplus  */

#endif