/******************************************************************************
 **																			 **
 ** 	Module:		dpgMemory.c												 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1995-1996 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/

#include "QD3D.h"
#include "dpgMemory.h"
#include "stdlib.h"

#include <Memory.h>

void *dpgAlloc(unsigned long size)
{
	return malloc(size);
}

void dpgFree(void *ptr)
{
	free(ptr);
}

void *dpgRealloc(void *ptr, unsigned long size)
{
	return realloc(ptr, size);
}

void dpgCopy(const void *src, void *dst, unsigned long size)
{
#if defined(OS_MACINTOSH) && OS_MACINTOSH
	BlockMove (src, dst, size);
#else
	memcpy (dst, src, size);
#endif

}
