/******************************************************************************\
																		
		Module:		IRS_Update.h											
																			
		Purpose: 	update metahandler functions for QD3D plug-in renderer								
																		
		Author:		Sun-Inn Shih										
																		
		Copyright (C) 1993-96 Apple Computer, Inc.  All rights reserved.	
																			
\*****************************************************************************/
#ifndef IRS_UPDATE_H
#define IRS_UPDATE_H

#include <QD3D.h>
#include "IRShell.h"

/*
	Matricies
*/
TQ3Status IRS_Update_Matrix_localToFrustum(
	TQ3ViewObject 			pView,
	irsData					*irsdata,
	TQ3Matrix4x4			*pData);
	
#endif /* IRS_UPDATE_H */

