/******************************************************************************\
																		
		Module:		IRShell.h											
																			
		Purpose: 	Interactive rendering plug-in shell for QD3D							
																		
		Author:		Sun-Inn Shih									
																		
		Copyright (C) 1993-96 Apple Computer, Inc.  All rights reserved.	
																			
\*****************************************************************************/
#ifndef _IRSHELL_H_
#define _IRSHELL_H_
#include <stdio.h>

typedef struct irsData
{
	TQ3Matrix4x4 localToFrustum;
	FILE 	*filePtr;
	float	center;
	float	scale;
} irsData;

extern irsData* gdata;

#endif