// Tumbler_drag.h
//
// Dragging related data structures and function prototypes for the 
// Tumbler application
//
// Modification History
//
//	11/26/94		nick		initial cut - symantec proto_helper app, add defines


#ifndef _Tumbler_DRAG_H_
#define _Tumbler_DRAG_H_


// prototypes from Tumbler_drag.c
pascal OSErr MyDrawingProc(DragRegionMessage message, RgnHandle showRgn, Point showOrigin, RgnHandle hideRgn, Point hideOrigin, void *dragDrawingRefCon, DragReference theDragRef);
Boolean DragItemsAreAcceptable(DragReference theDrag);
Boolean DragIsNotInSourceWindow(DragReference theDrag);
Boolean MouseIsInContentRgn(DragReference theDrag, WindowPtr theWindow);
pascal OSErr MyReceiveDropHandler(WindowPtr theWindow, unsigned long handlerRefCon, DragReference theDrag);
pascal OSErr MyTrackingHandler(short theMessage, WindowPtr theWindow, void *handlerRefCon, DragReference theDrag);
short DoDragObjects(DocumentPtr theDocument, EventRecord *theEvent, RgnHandle hiliteRgn) ;


#endif

