// Tumbler_file.h
//
// file related function prototypes for the Tumbler application
//
// Modification History
//
//	11/26/94		nick		initial cut - symantec proto_helper app, add defines


#ifndef _Tumbler_FILE_H_
#define _Tumbler_FILE_H_

// wrappers 
void 		DoNewDocument(void);
OSErr 		DoOpenFile(FSSpec *theFile);
void 		DoOpenDocument(DocumentPtr theDocument);
Boolean 	DoSaveAsDocument(DocumentPtr theDocument);
Boolean 	DidSaveDocument(DocumentPtr theDocument);
void 		DoRevertDocument(DocumentPtr theDocument);
short 		ReadDocumentFile(DocumentPtr theDocument, TQ3Boolean isText) ;
PicHandle 	OpenPICTFile( FSSpec *theFile ) ;
void 		DoImport3DMFDocument(DocumentPtr theDocument) ;

// metafile i/o routines
TQ3Status 	Tumbler_ReadScene(	TQ3FileObject	file, 
									short			isText, 
									TQ3SharedObject	*viewHints, 
									TQ3Object		*model) ;
									
void 		Tumbler_WriteScene(		TQ3FileObject		file,
										short				textMode,
										DocumentPtr 		theDocument) ;

#endif
