/*
	EventLoop.h

	Global variables

	 1995 Apple Computer, Inc.
*/

#include "QD3DViewer.h"

enum
{
	kContainerFull,
	kContainerInsetView,
	kContainerFourView
};

typedef struct TVCDemoData
{
	int				containerStyle;
	TQ3ViewerObject	viewer1;	
	TQ3ViewerObject	viewer2;	
	TQ3ViewerObject	viewer3;	
	TQ3ViewerObject	viewer4;	
} TVCDemoData, *TVCDemoDataPtr, **TVCDemoDataHdl;

extern Boolean		WNE_available;		/* true if WaitNextEvent is available */
extern Boolean		Done;				/* Set to true when the user quits 									*/
extern Boolean		KeyPressed;			/* true if user pressed a key this time through event loop 			*/
extern char			KeyValue;			/* the ascii character last typed 									*/
extern Boolean		BackgroundFlag;		/* true if the app is currently in the background */

/* EOF */