/*
 * CustomIO_Lib.h
 */
#include "QD3D.h"

#ifdef __cplusplus
extern "C" {
#endif  /* __cplusplus */

TQ3Status CustomAttribute_Register(
	void);

TQ3Status CustomAttribute_Unregister(
	void);

TQ3ElementType CustomAttribute_GetType(
	void);

/* Use CustomAttribute_GetType to get type */
#define kCustomAttributeType	((TQ3AttributeType) 0xF00DF00D)

typedef struct CustomAttributeRecord {
	TQ3DisplayGroupObject	clickModel;
	TQ3Boolean				isOn;		
} CustomAttributeRecord;

#ifdef __cplusplus
}
#endif	/* __cplusplus */

