#pragma once
/******************************************************************************
 **																			 **
 ** 	Module:		PackBytes.h												 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 															 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1992, 1993 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
#ifndef PackBytes_h
#define PackBytes_h


#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

unsigned long PackBytes(
	char			*from, 
	char			*to, 
	unsigned long 	nBytes);
	
void UnpackBytes(
	char			*src, 
	char			*dst, 
	unsigned long 	nBytes);

#ifdef __cplusplus
}	/* end extern "C" */
#endif	/* __cplusplus */


#endif	/* PackBytes_h */
