/******************************************************************************
 **																			 **
 ** 	Module:		Trace_Lib.h												 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 										 					 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1992, 1993 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
#ifndef Trace_Lib_h
#define Trace_Lib_h

#include "Escher_Trace_sys.h"	/* This is ok */

#if PRAGMA_ONCE
	#pragma once
#endif

#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

/******************************************************************************
 **																			 **
 **							 Routines									     **
 **																			 **
 *****************************************************************************/

char *TraceString(
	EtTrace trace);

char *ComponentString(
	EtComponent component);

void InstallDefaultTraceHandler(
	void);
	
#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif /* Trace_Lib_h */
