/******************************************************************************
 **																			 **
 ** 	Module:		SR_ConfigData.h											 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 	Generic sample renderer routines		 				 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1996 Apple Computer, Inc.  All rights reserved.	 	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
#ifndef SR_ConfigData_h
#define SR_ConfigData_h

#include "QD3D.h"

TQ3Status SR_GetConfigurationData(
	TQ3RendererObject			renderer, 
	unsigned char				*dataBuffer, 
	unsigned long				bufferSize,
	unsigned long				*actualDataSize,	
	void						*rendererPrivate);

TQ3Status SR_SetConfigurationData(
	TQ3RendererObject			renderer, 
	unsigned char				*dataBuffer, 
	unsigned long				bufferSize,	
	void						*rendererPrivate);
	
#endif  /*  SR_ConfigData_h  */

