/*
 *
 *		resources.c
 *
 *		Program Resource Defintions.
 *		
 *
 *		Author:		Nick Thompson & Pablo Fernicola, with thanks to the QuickDraw 3D team
 *
 *		Copyright  1992-95 Apple Computer, Inc.
 * Modification history:
 *
 *	01/24/95		nick		added idBackfacingMenu
 *
 */


#define	idSaveChangesALRT			128
#define idRevertALRT				129

#define	FileStringsID				128
#define	slSavePromptIndex			1
#define	slClosingIndex				2
#define slQuittingIndex				3

#define	MenuStringsID				129
#define	slCantUndo					1
#define	slUndoDrag					2
#define slRedoDrag					3

#define	MenuBarID					128			// resource ID of the MBAR resource
#define	WindowTemplateID			128

#define	idAppleMenu					128
#define		AboutItem				1


// defines for the menus and options in Tumbler
#ifndef PODIUM_APP

#define	idFileMenu					129
#define		NewItem					1
#define		OpenItem				2
#define		CloseItem				4
#define		SaveItem				5
#define		SaveAsItem				6
#define		RevertItem				7
#define		PageSetupItem			9
#define		PrintItem				10
#define		QuitItem				12

#else

#define	idFileMenu					129
#define		NewItem					1
#define		OpenItem				2
#define		ImportItem				4
#define		CloseItem				6
#define		SaveItem				7
#define		SaveAsItem				8
#define		RevertItem				9
#define		PageSetupItem			11
#define		PrintItem				12
#define		QuitItem				14

#endif



#define	idEditMenu					130
#define		iUndo					1
#define		iCut					3
#define		iCopy					4
#define		iPaste					5
#define		iClear					6
#define		iSelectAll				7
#define		iShowClipboard			9

#define	idDisplayMenu				131
#define		iShaded					1
#define		iRenderer				2
#define		iLighted				3
#define		iAnimated				4
#define		iBackFacing				5
#define		iBGColor				7


#define	idRendererMenu				132
#define		iWF						1
#define		iRendererUnused			2
#define		iCTSW					3
#define		iCTHW					4

#define	idStyleMenu					133
#define		iFlat					1
#define		iGouraud				2
#define		iPhong					3

#define	idAnimateMenu				134
#define		iModel					1
#define		iLights					2

#define idBackfacingMenu			135
#define		iDrawBoth				1
#define		iRemoveBackfacing		2
#define		iFlipNormals			3


// defines for the menus and options for podium

#define idSlides					231
#define		iNext					1
#define		iPrevious				2
#define		iIndex					3
#define		iRotateModel			5
#define		iHideShowMenu			7

